public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Kent Fredric" <kentfredric@gmail.com>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Data-GUID/
Date: Fri, 11 Oct 2013 04:52:44 +0000 (UTC)	[thread overview]
Message-ID: <1381430719.a5e6783a8334a0958d1597f25b148d3031ad0d51.kent@gentoo> (raw)

commit:     a5e6783a8334a0958d1597f25b148d3031ad0d51
Author:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Thu Oct 10 18:45:19 2013 +0000
Commit:     Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Thu Oct 10 18:45:19 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=a5e6783a

[newversion] dev-perl/Data-GUID-0.47.0

Package-Manager: portage-2.2.7
Manifest-Sign-Key: E854324B1366A820

---
 dev-perl/Data-GUID/ChangeLog               |  5 +++
 dev-perl/Data-GUID/Data-GUID-0.47.0.ebuild | 52 ++++++++++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-perl/Data-GUID/ChangeLog b/dev-perl/Data-GUID/ChangeLog
index ae4843a..da5d1ff 100644
--- a/dev-perl/Data-GUID/ChangeLog
+++ b/dev-perl/Data-GUID/ChangeLog
@@ -2,6 +2,11 @@
 # Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
 # $Header: $
 
+*Data-GUID-0.47.0 (10 Oct 2013)
+
+  10 Oct 2013; Kent Fredric <kentfredric@gmail.com> +Data-GUID-0.47.0.ebuild:
+  Version Bump
+
 *Data-GUID-0.46.0 (10 Oct 2013)
 *Data-GUID-0.45.0 (10 Oct 2013)
 *Data-GUID-0.43.0 (10 Oct 2013)

diff --git a/dev-perl/Data-GUID/Data-GUID-0.47.0.ebuild b/dev-perl/Data-GUID/Data-GUID-0.47.0.ebuild
new file mode 100644
index 0000000..1f47237
--- /dev/null
+++ b/dev-perl/Data-GUID/Data-GUID-0.47.0.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2013 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=5
+MODULE_AUTHOR=RJBS
+MODULE_VERSION=0.047
+inherit perl-module
+
+DESCRIPTION='globally unique identifiers'
+LICENSE=" || ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+perl_meta_configure() {
+	# ExtUtils::MakeMaker 6.30 ( 6.300.0 )
+	echo \>=virtual/perl-ExtUtils-MakeMaker-6.30
+}
+perl_meta_runtime() {
+	# Carp
+	# echo virtual/perl-Carp
+	# Data::UUID 1.148 ( 1.148.0 )
+	echo \>=dev-perl/Data-UUID-1.148.0
+	# Sub::Exporter 0.90 ( 0.900.0 )
+	echo \>=dev-perl/Sub-Exporter-0.900.0
+	# Sub::Install 0.03 ( 0.30.0 )
+	echo \>=dev-perl/Sub-Install-0.30.0
+	# bytes
+	# echo dev-lang/perl
+	# overload
+	# echo dev-lang/perl
+	# strict
+	# echo dev-lang/perl
+	# warnings
+	# echo dev-lang/perl
+}
+perl_meta_test() {
+	# File::Find
+	# echo dev-lang/perl
+	# File::Temp
+	echo virtual/perl-File-Temp
+	# Test::More 0.96 ( 0.960.0 )
+	echo \>=virtual/perl-Test-Simple-0.960.0
+}
+DEPEND="
+	$(perl_meta_configure)
+	$(perl_meta_runtime)
+	test? ( $(perl_meta_test) )
+"
+RDEPEND="
+	$(perl_meta_runtime)
+"
+SRC_TEST="do parallel"


             reply	other threads:[~2013-10-11  4:52 UTC|newest]

Thread overview: 5+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2013-10-11  4:52 Kent Fredric [this message]
  -- strict thread matches above, loose matches on Subject: below --
2014-10-11 17:04 [gentoo-commits] proj/perl-overlay:master commit in: dev-perl/Data-GUID/ Kent Fredric
2013-10-11  4:52 Kent Fredric
2013-10-11  4:52 Kent Fredric
2013-10-11  4:52 Kent Fredric

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1381430719.a5e6783a8334a0958d1597f25b148d3031ad0d51.kent@gentoo \
    --to=kentfredric@gmail.com \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox